namespace InABox.Integration.Logikal
{
    public class LogikalProjectCentresResponse<TProjectCentre,TProject> : LogikalResponse         
        where TProjectCentre : ILogikalProjectCentre<TProject>
        where TProject : ILogikalProject
    {
        public override LogikalMethod Method() => LogikalMethod.ProjectCentres;

        public TProjectCentre[] ProjectCentres { get; set; }

        public override string ToString() => $"{ProjectCentres?.Length ?? 0} Project Centres found";
    }
}